apt: pkgCache::DepIterator Class Reference

apt 3.3.3 commandline package manager

Classes | Public Member Functions | Friends | List of all members
pkgCache::DepIterator Class Reference
Inheritance diagram for pkgCache::DepIterator:

## Classes
struct | DependencyProxy

## Public Member Functions
constexpr Dependency * | OwnerPointer () const noexcept
DepIterator & | operator++ ()
DepIterator | operator++ (int)
constexpr const char * | TargetVer () const noexcept
constexpr PkgIterator | TargetPkg () const noexcept
PkgIterator | SmartTargetPkg () const noexcept
constexpr VerIterator | ParentVer () const noexcept
constexpr PkgIterator | ParentPkg () const noexcept
constexpr bool | Reverse () const noexcept
bool | IsCritical () const APT_PURE
bool | IsNegative () const APT_PURE
bool | IsIgnorable (PrvIterator const &Prv) const APT_PURE
bool | IsIgnorable (PkgIterator const &Pkg) const APT_PURE
constexpr bool | IsMultiArchImplicit () const APT_PURE
bool | IsImplicit () const APT_PURE
bool | IsSatisfied (PkgIterator const &Pkg) const APT_PURE
bool | IsSatisfied (VerIterator const &Ver) const APT_PURE
bool | IsSatisfied (PrvIterator const &Prv) const APT_PURE
void | GlobOr (DepIterator &Start, DepIterator &End)
Version ** | AllTargets () const
bool | SmartTargetPkg (PkgIterator &Result) const
const char * | CompType () const
const char * | DepType () const
constexpr DependencyProxy | operator-> () const noexcept
constexpr DependencyProxy | operator-> ()
void | ReMap (void const *const oldMap, void *const newMap)
constexpr | DepIterator (pkgCache &Owner, Dependency *Trg, Version *=0) noexcept
constexpr | DepIterator (pkgCache &Owner, Dependency *Trg, Package *) noexcept
Public Member Functions inherited from pkgCache::Iterator< Dependency, DepIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const DepIterator &B) const noexcept
constexpr bool | operator!= (const DepIterator &B) const noexcept
constexpr Dependency * | operator-> () noexcept
constexpr | operator Dependency * () noexcept
constexpr | operator Dependency const * () const noexcept
constexpr Dependency & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< Dependency > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Friends
std::ostream & | operator<< (std::ostream &out, pkgCache::DepIterator D)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Dependency, DepIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Dependency, DepIterator >
Dependency * | S
pkgCache * | Owner

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc